/* RESET AND SETUP --------------------------------- */
html {
  -webkit-box-sizing: border-box;
          box-sizing: border-box; }

*, *:before, *:after {
  -webkit-box-sizing: inherit;
          box-sizing: inherit; }

body, h1, h2, h3, h4, h5, h6, p, ol, ul {
  margin: 0;
  padding: 0;
  font-weight: normal; }

ol, ul {
  list-style: none; }

img {
  max-width: 100%;
  height: auto; }

:root {
  --cpblue: #00aeef;
  --darkblue: #3099c0;
  --lightblue: #57d2ff;
  --grey: #58585a;
  --white: #fff;
  --highlight: #d4ecfc;
  --main-font: 'Inter', -apple-system, BlinkMacSystemFont, 'Montserrat', "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  --heading-font: 'Montserrat', -apple-system, BlinkMacSystemFont, 'Montserrat', "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  --line-height: 1.5em; }

/* GENERAL AREAS & ELEMENTS ------------------------ */
html, body {
  width: 100%;
  height: 100%; }

.wrapper {
  min-height: 100%;
  display: -ms-grid;
  display: grid;
  -ms-grid-rows: auto 1fr auto;
  grid-template-rows: auto 1fr auto;
  -ms-grid-columns: 100%;
  grid-template-columns: 100%; }

body {
  background: #fafafa;
  font-size: 16px;
  font-family: var(--main-font);
  line-height: var(--line-height); }

.container {
  padding: 24px;
  max-width: 1000px; }
  .container.top {
    padding: 0; }

header {
  display: -ms-grid;
  display: grid;
  /* grid-template-rows: 25px 1fr; */
  background: #4cccff;
  /* padding: 25px; */
  align-items: center;
  -webkit-box-shadow: inset 0 0 0 60vh rgba(0, 183, 244, 0.3);
          box-shadow: inset 0 0 0 60vh rgba(0, 183, 244, 0.3); }
  header img {
    max-height: 30px; }
  header h1 {
    color: #fff;
    font-weight: 600;
    font-size: 3.2em;
    line-height: 1.1em;
    margin: 0 0 10px 0; }
  header .mobile_nav {
    float: right;
    color: #fff; }
  header .hamburger {
    display: inline-block;
    width: 2em; }
  header .motto {
    display: -ms-grid;
    display: grid;
    align-content: center; }

label {
  cursor: pointer; }

#menu-toggle {
  display: none;
  /* hide the checkbox */ }

#menu {
  display: none; }

#menu-toggle:checked + #menu {
  display: block; }

nav ul li {
  display: block;
  text-transform: uppercase;
  margin-right: 0px;
  font-weight: bold;
  color: #fff; }

nav ul li a:hover {
  text-decoration: underline; }

/* Individual universal elements */
h1, h2, h3, h4, h5, h6 {
  font-family: var(--heading-font);
  font-weight: 300; }

mark {
  background-color: var(--highlight);
  -webkit-box-shadow: 3px 0 0 var(--highlight), -3px 0 0 var(--highlight);
          box-shadow: 3px 0 0 var(--highlight), -3px 0 0 var(--highlight);
  padding: 2px 0; }

figcaption {
  text-align: right;
  font-size: 0.8em;
  opacity: 0.6;
  padding-top: 3px;
  font-style: italic; }

figure {
  margin: 0; }

hr {
  margin: 30px 0;
  border: 1px solid #4cccff; }

.homepage hr {
  margin: 20px 0 0 0; }

p {
  margin-bottom: 1.4em;
  font-weight: 300; }

h1 {
  margin-bottom: 12px; }

h2 {
  font-size: 1.7em;
  color: #2D3748;
  font-weight: bold;
  margin-top: 10px;
  margin-bottom: 10px; }

h3 {
  font-weight: bold;
  color: #2D3748; }

ul {
  list-style-type: square;
  list-style-position: inside; }

ol {
  list-style-position: inside; }

ul li, ol li {
  margin-bottom: 1.2em; }

a {
  text-decoration: none;
  color: inherit; }

.btn {
  display: block;
  padding: 12px 15px;
  margin: 15px 0 5px 0;
  font-size: 0.8em;
  text-transform: uppercase;
  letter-spacing: 0.05em;
  background-color: #354a5f;
  color: #fff;
  text-decoration: none;
  text-align: center; }
  .btn:hover {
    background-color: rgba(53, 74, 95, 0.75); }

.meta {
  color: var(--grey);
  font-size: 0.8em;
  font-style: italic;
  opacity: 0.5;
  padding-top: 10px; }

/* CUSTOM SECTIONS ------------------------ */
/* Homepage styles */
BODY.homepage header {
  -ms-grid-rows: 25px 1fr;
  grid-template-rows: 25px 1fr;
  padding: 25px;
  min-height: 65vh;
  background: url(../images/owl.png) top -40px right -40px no-repeat, #4cccff;
  background-size: 70vh;
  -webkit-box-shadow: inset 0 0 0 60vh rgba(0, 183, 244, 0.3);
          box-shadow: inset 0 0 0 60vh rgba(0, 183, 244, 0.3); }

BODY.homepage nav {
  padding: 0 0 0 24px;
  height: 0; }

BODY.homepage nav ul {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: auto auto auto;
  grid-template-columns: auto auto auto; }

BODY:not(.homepage) .homepage {
  display: none; }

/* Don't display homepage items on non-homepages */
/* Front page boxes */
SECTION.whatbox {
  background-color: #fff;
  margin: -60px auto 10px auto;
  width: 90%;
  -webkit-box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.18);
          box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.18);
  padding: 30px;
  max-width: 625px;
  text-align: center; }
  SECTION.whatbox p {
    font-size: 1.2em;
    line-height: var(--line-height);
    color: #2D3748;
    padding-bottom: 5px; }
  SECTION.whatbox .btn {
    font-size: 0.9em;
    letter-spacing: 0.15em;
    background-color: rgba(53, 74, 95, 0.75); }
    SECTION.whatbox .btn:hover {
      background-color: #354a5f; }

.steer_box {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 35% 1fr;
  grid-template-columns: 35% 1fr;
  grid-column-gap: 20px;
  margin-bottom: 20px;
  align-items: center;
  background: #fff;
  -webkit-box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.18);
          box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.18);
  color: #1A202C; }
  .steer_box .steer_box_content {
    padding-top: 8px; }
  .steer_box .steer_header {
    display: flex; }
  .steer_box svg {
    width: 1.7em;
    height: 1.7em; }
  .steer_box h3 {
    font-weight: 800;
    margin: 2px 0 0 8px; }
  .steer_box p {
    font-size: 0.9em;
    padding: 12px 0 0 3px; }

.more_copy a, .contact a, .advertise_copy a {
  text-decoration: underline;
  -webkit-text-decoration-color: var(--cpblue);
          text-decoration-color: var(--cpblue);
  -webkit-text-decoration-style: dotted;
          text-decoration-style: dotted;
  text-underline-offset: 3px; }

/* Contact form */
.contact svg {
  width: 1.7em;
  height: 1.7em;
  color: #2D3748; }

.contact h3 {
  margin: 2px 0 0 8px; }

.contact_emails h3 {
  margin: 0; }

.contact form {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: (1fr)[2];
  grid-template-columns: repeat(2, 1fr);
  -ms-grid-rows: (auto)[3];
  grid-template-rows: repeat(3, auto);
  grid-column-gap: 20px;
  grid-row-gap: 20px;
  margin: 20px 0; }

.contact form label {
  color: #4a5568;
  font-weight: bold; }

.contact form .name {
  -ms-grid-row: 1;
  -ms-grid-row-span: 1;
  -ms-grid-column: 1;
  -ms-grid-column-span: 1;
  grid-area: 1 / 1 / 2 / 2; }

.contact form .email {
  -ms-grid-row: 1;
  -ms-grid-row-span: 1;
  -ms-grid-column: 2;
  -ms-grid-column-span: 1;
  grid-area: 1 / 2 / 2 / 3; }

.contact form .message {
  -ms-grid-row: 2;
  -ms-grid-row-span: 1;
  -ms-grid-column: 1;
  -ms-grid-column-span: 2;
  grid-area: 2 / 1 / 3 / 3; }

.contact form .send {
  -ms-grid-row: 3;
  -ms-grid-row-span: 1;
  -ms-grid-column: 2;
  -ms-grid-column-span: 1;
  grid-area: 3 / 2 / 4 / 3;
  -ms-grid-column-align: right;
      justify-self: right; }

.contact form input, .contact form textarea {
  width: 100%;
  margin-top: 7px;
  padding: 5px 10px;
  border: 1px solid #e2e8f0;
  border-radius: 2px;
  font-size: 90%;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  -webkit-box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
          box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06); }

.contact form input {
  height: 30px; }

.contact form textarea {
  height: 150px; }

.contact form button {
  padding: 5px 15px;
  border-radius: 2px;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  background-color: rgba(53, 74, 95, 0.75);
  color: #fff;
  border: none;
  font-size: 1em;
  cursor: pointer; }

.contact form button:hover {
  background-color: #354a5f; }

.advertise .contact form {
  -ms-grid-columns: (1fr)[2];
  grid-template-columns: repeat(2, 1fr);
  -ms-grid-rows: (auto)[4];
  grid-template-rows: repeat(4, auto); }

.advertise .contact form .name {
  -ms-grid-row: 1;
  -ms-grid-row-span: 1;
  -ms-grid-column: 1;
  -ms-grid-column-span: 1;
  grid-area: 1 / 1 / 2 / 2; }

.advertise .contact form .email {
  -ms-grid-row: 1;
  -ms-grid-row-span: 1;
  -ms-grid-column: 2;
  -ms-grid-column-span: 1;
  grid-area: 1 / 2 / 2 / 3; }

.advertise .contact form .company {
  -ms-grid-row: 2;
  -ms-grid-row-span: 1;
  -ms-grid-column: 1;
  -ms-grid-column-span: 1;
  grid-area: 2 / 1 / 3 / 2; }

.advertise .contact form .website {
  -ms-grid-row: 2;
  -ms-grid-row-span: 1;
  -ms-grid-column: 2;
  -ms-grid-column-span: 1;
  grid-area: 2 / 2 / 3 / 3; }

.advertise .contact form .message {
  -ms-grid-row: 3;
  -ms-grid-row-span: 1;
  -ms-grid-column: 1;
  -ms-grid-column-span: 2;
  grid-area: 3 / 1 / 4 / 3; }

.advertise .contact form .send {
  -ms-grid-row: 4;
  -ms-grid-row-span: 1;
  -ms-grid-column: 2;
  -ms-grid-column-span: 1;
  grid-area: 4 / 2 / 5 / 3; }

.advertise_cta {
  margin-bottom: 44px; }

/* Sponsor bar */
.sponsors {
  background: #354a5f; }
  .sponsors h2 {
    color: #fff; }
  .sponsors .logo_list {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 40px;
    margin: 40px 0;
    align-items: center;
    justify-items: center; }
    .sponsors .logo_list img {
      -webkit-filter: invert(1%) sepia(1%) saturate(1%) hue-rotate(1deg) brightness(1000%) contrast(100%);
              filter: invert(1%) sepia(1%) saturate(1%) hue-rotate(1deg) brightness(1000%) contrast(100%);
      width: 100%;
      max-width: 120px; }

/* Footer */
footer {
  background: #30363d;
  color: #bbb;
  font-size: 0.85em; }
  footer a {
    text-decoration: underline; }
  footer ul {
    padding: 20px 0 5px 0; }
    footer ul li {
      list-style: none;
      display: inline-block;
      margin-right: 7px; }
      footer ul li a {
        color: inherit; }
  footer .address {
    -ms-grid-row: 1;
    -ms-grid-row-span: 1;
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-area: 1 / 1 / 2 / 3; }
  footer .compliance {
    -ms-grid-row: 2;
    -ms-grid-row-span: 1;
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-area: 2 / 1 / 3 / 3; }
  footer .legal {
    -ms-grid-row: 3;
    -ms-grid-row-span: 1;
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-area: 3 / 1 / 4 / 3; }
  footer .footer-container {
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: (1fr)[2];
    grid-template-columns: repeat(2, 1fr);
    -ms-grid-rows: (1fr)[3];
    grid-template-rows: repeat(3, 1fr);
    gap: 0 20px;
    padding: 25px; }

h1.page_title {
  margin: 12px 0 24px 0; }

.staff-top {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: none;
  grid-template-columns: none;
  grid-column-gap: 30px; }

.staff1 {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 1fr;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 30px; }

.staff2 {
  margin: 30px 0;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 1fr 1fr;
  grid-template-columns: 1fr 1fr 1fr;
  grid-column-gap: 30px; }

.specs img {
  border: 1px dotted var(--grey);
  display: block;
  margin: 20px auto; }

.publications h2 {
  margin: 30px 0; }

.publication {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 120px 1fr;
  grid-template-columns: 120px 1fr;
  grid-gap: 15px;
  margin: 20px 0; }

.publication h3 {
  font-size: 1.4em;
  margin-bottom: -2px; }

.publications a {
  margin-bottom: 10px;
  text-decoration: underline; }

.publications svg {
  width: 1em;
  height: 1em;
  margin-bottom: -3px;
  margin-right: 3px; }

.publication p:first-of-type {
  margin-top: 20px; }

/* DESKTOP STYLES --------------------------------------- */
@media (min-width: 800px) {
  .container {
    min-width: 800px;
    margin: 0 auto; }
  nav ul li {
    display: inline-block;
    margin-right: 10px; }
  BODY.homepage nav ul {
    display: inline-block; }
  .home_steer {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 30px; }
  .steer_box {
    -ms-grid-columns: none;
    grid-template-columns: none;
    -ms-grid-rows: 200px auto;
    grid-template-rows: 200px auto;
    align-items: flex-start; }
  .steer_box:hover {
    position: relative;
    bottom: 3px;
    -webkit-box-shadow: 0px 5px 4px rgba(0, 0, 0, 0.18);
            box-shadow: 0px 5px 4px rgba(0, 0, 0, 0.18); }
  .steer_box_content {
    margin: 20px 20px 25px 20px; }
  a.steer_box {
    cursor: pointer; }
  .more_grid {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: minmax(50%, 70%) minmax(30%, 50%);
    grid-template-columns: minmax(50%, 70%) minmax(30%, 50%);
    grid-column-gap: 40px;
    align-items: center; }
  .contact_grid {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 2fr;
    grid-template-columns: 1fr 2fr; }
  .staff-top {
    -ms-grid-columns: 3fr 4fr;
    grid-template-columns: 3fr 4fr; }
  .staff2 {
    -ms-grid-columns: 1fr 2fr 2fr 2fr;
    grid-template-columns: 1fr 2fr 2fr 2fr; }
  .chris {
    -ms-grid-column: 2;
        grid-column-start: 2; }
  .publication {
    grid-gap: 30px; }
  /* Advertising page */
  .advertise_content {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: auto 220px;
    grid-template-columns: auto 220px;
    grid-column-gap: 80px; }
  /* Classifieds page */
  .char-counter {
    text-align: right;
    font-size: 14px;
    margin-bottom: 10px;
    color: #555; }
  .toolbar {
    margin-top: 10px;
    margin-bottom: 10px; }
  .toolbar button {
    padding: 8px 15px;
    margin-right: 5px;
    background: #007bff;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 14px;
    border-radius: 5px; }
  .classified-preview {
    border: 1px solid #dcdcdc;
    padding: 15px;
    font-size: 16px;
    margin-top: 20px;
    background: #ffffee;
    min-height: 100px;
    cursor: text;
    display: inline-block;
    width: 90%;
    text-align: left;
    word-wrap: break-word;
    line-height: 1.5;
    color: #333; }
  .classified-preview a {
    color: #007bff;
    text-decoration: none; }
  .classified-preview a:hover {
    text-decoration: underline; }
  .placeholder {
    color: #999; }
  emoji-picker {
    position: absolute;
    display: none;
    max-width: 300px;
    -webkit-box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
            box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); }
  footer .footer-container {
    -ms-grid-columns: auto 1fr;
    grid-template-columns: auto 1fr;
    -ms-grid-rows: (1fr)[2];
    grid-template-rows: repeat(2, 1fr); }
  footer .address {
    -ms-grid-row: 1;
    -ms-grid-row-span: 1;
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
    grid-area: 1 / 1 / 2 / 2; }
  footer .compliance {
    -ms-grid-row: 1;
    -ms-grid-row-span: 2;
    -ms-grid-column: 2;
    -ms-grid-column-span: 1;
    grid-area: 1 / 2 / 3 / 3;
    text-align: right; }
  footer .legal {
    -ms-grid-row: 2;
    -ms-grid-row-span: 1;
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
    grid-area: 2 / 1 / 3 / 2; } }
